Bug 859835 - Plugins are build with soname version
Plugins are build with soname version
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kacper Kowalik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 03:35 EDT by Kacper Kowalik
Modified: 2013-07-24 13:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:38:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kacper Kowalik 2012-09-24 03:35:07 EDT
There's a small typo in all Makefile.am in glusterfs:
-avoidversion should be -avoid-version
As result there's a lot files with pointless .0.0.0
Comment 1 Niels de Vos 2012-10-11 04:32:39 EDT
Kacper, from http://review.gluster.org/3967:

Can you please rebase this? Probably has conflicts due to the build cleanup patches recently merged.


Thanks!
Comment 2 Vijay Bellur 2013-02-07 18:13:11 EST
CHANGE: http://review.gluster.org/3967 (Use proper libtool option -avoid-version instead of bogus -avoidversion) merged in master by Anand Avati (avati@redhat.com)

Note You need to log in before you can comment on or make changes to this bug.